org.apache.ignite.internal.mem

## Class IgniteOutOfMemoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.mem.IgniteOutOfMemoryException

All Implemented Interfaces:
  Serializable

    public class IgniteOutOfMemoryException
    extends IgniteException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteOutOfMemoryException()`
`IgniteOutOfMemoryException(String msg)`
`IgniteOutOfMemoryException(String msg, IOException e)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteOutOfMemoryException

    public IgniteOutOfMemoryException()

#### IgniteOutOfMemoryException

    public IgniteOutOfMemoryException(String msg)

Parameters:
  `msg` - Error message.

#### IgniteOutOfMemoryException

    public IgniteOutOfMemoryException(String msg,
                                      IOException e)

Parameters:
  `msg` - Error message.
  `e` - Cause exception.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022